Bug 258245 - security/honeytrap broken on FreeBSD 12.2 with Go 1.17
Summary: security/honeytrap broken on FreeBSD 12.2 with Go 1.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-03 10:58 UTC by Borja Marcos
Modified: 2021-10-01 13:13 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ezri.mudde)


Attachments
v0 (14.37 KB, patch)
2021-09-24 14:30 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Borja Marcos 2021-09-03 10:58:50 UTC
Doesn't build.

(...)
github.com/yuin/gopher-lua/pm
github.com/honeytrap/honeytrap/services
github.com/yuin/gopher-lua
github.com/honeytrap/honeytrap/services/elasticsearch
github.com/honeytrap/honeytrap/services/eos
github.com/honeytrap/honeytrap/services/ethereum
github.com/honeytrap/honeytrap/services/ftp
github.com/honeytrap/honeytrap/services/ipp
github.com/honeytrap/honeytrap/services/ldap
github.com/honeytrap/honeytrap/services/redis
github.com/honeytrap/honeytrap/services/smtp
github.com/honeytrap/honeytrap/services/snmp
github.com/honeytrap/honeytrap/services/ssh
image
compress/zlib
github.com/honeytrap/honeytrap/services/telnet
image/png
os/user
github.com/honeytrap/honeytrap/services/vnc
*** Error code 2

Stop.
make: stopped in /usr/ports/security/honeytrap



Trying "make" again...



===>  Building honeytrap from .
gvisor.dev/gvisor/pkg/waiter
gvisor.dev/gvisor/pkg/sleep
# gvisor.dev/gvisor/pkg/waiter
vendor/gvisor.dev/gvisor/pkg/waiter/waiter.go:178:7: undefined: "gvisor.dev/gvisor/pkg/sync".RWMutex
gvisor.dev/gvisor/pkg/linewriter
# gvisor.dev/gvisor/pkg/sleep
vendor/gvisor.dev/gvisor/pkg/sleep/commit_amd64.s:24: (register+register) not supported on this architecture
asm: assembly of vendor/gvisor.dev/gvisor/pkg/sleep/commit_amd64.s failed
# gvisor.dev/gvisor/pkg/linewriter
vendor/gvisor.dev/gvisor/pkg/linewriter/linewriter.go:28:2: undefined: "gvisor.dev/gvisor/pkg/sync".Mutex
*** Error code 2

Stop.
make: stopped in /usr/ports/security/honeytrap
Comment 1 Mikael Urankar freebsd_committer 2021-09-24 14:30:04 UTC
Created attachment 228150 [details]
v0

Update to g20210510
Update license information
Split long lines
Add HONEYTRAP_LOGDIR
Comment 2 commit-hook freebsd_committer 2021-10-01 13:12:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=df021c457f81d103a4b75acc341f1e3edd59c336

commit df021c457f81d103a4b75acc341f1e3edd59c336
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-10-01 13:05:36 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-10-01 13:07:25 +0000

    security/honeytrap: Update to g20210510

      - Update to g20210510
      - Update license information
      - Split long lines
      - Add HONEYTRAP_LOGDIR

    PR:             258245
    Reported by:    Borja Marcos
    Approved by:    maintainer timeout

 security/honeytrap/Makefile                        | 33 ++++++++++++++--------
 security/honeytrap/distinfo                        | 14 ++-------
 ..._sentry_platform_kvm_bluepill__unsafe.go (gone) | 11 --------
 ...g_sentry_platform_kvm_machine__unsafe.go (gone) | 11 --------
 ...ry_platform_ptrace_subprocess__unsafe.go (gone) | 11 --------
 ...v_gvisor_pkg_sentry_vfs_mount__unsafe.go (gone) | 11 --------
 ...or.dev_gvisor_pkg_sleep_sleep__unsafe.go (gone) | 11 --------
 ...kg_sync_downgradable__rwmutex__unsafe.go (gone) | 11 --------
 ...r.dev_gvisor_pkg_sync_memmove__unsafe.go (gone) | 11 --------
 ...or.dev_gvisor_pkg_sync_tmutex__unsafe.go (gone) | 11 --------
 ...k_rawfile_blockingpoll__yield__unsafe.go (gone) | 11 --------
 ...sor.dev_gvisor_pkg_tcpip_time__unsafe.go (gone) | 11 --------
 12 files changed, 24 insertions(+), 133 deletions(-)